import * as _nuxt_schema from '@nuxt/schema';
import { PrismicPluginOptions } from '@prismicio/vue';

type PrismicModuleOptions = Omit<PrismicPluginOptions, 'endpoint' | 'client' | 'linkResolver' | 'htmlSerializer' | 'richTextSerializer'> & {
    endpoint: string;
    client?: string;
    linkResolver?: string;
    richTextSerializer?: string;
    preview?: string | false;
    toolbar?: boolean;
};

declare module '@nuxt/schema' {
    interface PublicRuntimeConfig {
        prismic: PrismicModuleOptions;
    }
}
declare const _default: _nuxt_schema.NuxtModule<PrismicModuleOptions>;

export { PrismicModuleOptions, _default as default };
